Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

alfresco-appserver (4) Versions 1.0.0

Installs/Configures chef-alfresco-appserver

Berkshelf/Librarian
Policyfile
Knife
cookbook 'alfresco-appserver', '= 1.0.0'
cookbook 'alfresco-appserver', '= 1.0.0', :supermarket
knife cookbook site install alfresco-appserver
knife cookbook site download alfresco-appserver
README
Dependencies
Quality

chef-alfresco-appserver cookbook

Build Status Cookbook Coverage Status

This cookbook will install the Application Server part of the Alfresco stack. The default choice is Tomcat, but it can be expanded to use your own application server.

Requirements

Cookbooks

The following cookbooks are direct dependencies because they're used for common "default" functionality.

  • apache_tomcat for Tomcat installation
  • poise-derived for defining lazily evaluated node attributes
  • commons Chef commons utilities used for Alfresco cookbooks
  • file handy Chef resources for when you want to append, replace or delete and lines in files
  • alfresco-utils Chef utilities used by Chef-Alfresco

Platforms

The following platforms are supported and tested with Test Kitchen:

  • CentOS 7+

Chef

  • Chef 12.1+

Attributes

Key Type Description Default
default['appserver']['engine'] String Engine of choice tomcat
default['appserver']['download_artifacts'] Boolean decides whether to download artifacts or not false
default['appserver']['user'] String Appserver user tomcat
default['appserver']['group'] String Appserver group tomcat
default['appserver']['install_java'] Boolean decides whether to install java or not false
default['appserver']['install_maven'] Boolean decides whether to install maven or not false
default['appserver']['port'] Int Port of the Application Server 8080
default['appserver']['ssl_enabled'] Boolean Wheter to enable ssl for the application server true
default['appserver']['run_single_instance'] Boolean Use an application server with all the webapps or one application server per webapp false

Usage

Just add the reference of this cookbook inside your metadata.rb file:

depends 'alfresco-appserver', '~> v0.1'

Main recipe is:

  • alfresco-appserver::default will install the Application Server of your choice ( specified under the default['appserver']['engine'] attribute)

Include alfresco-appserver in your node run_list:

{
  "run_list": [
    "recipe[alfresco-appserver:default]"
  ]
}

Testing

Refer to: Testing

License and Authors

Copyright 2017, Alfresco

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Dependent cookbooks

alfresco-utils ~> 1.0.0
commons >= 0.0.0
poise-derived ~> 1.0.0
apache_tomcat >= 0.0.0
file >= 0.0.0

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

Collaborator Number Metric
            

1.0.0 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

1.0.0 passed this metric

Foodcritic Metric
            

1.0.0 failed this metric

FC069: Ensure standardized license defined in metadata: alfresco-appserver/metadata.rb:1
Run with Foodcritic Version 10.3.1 with tags metadata,correctness ~FC031 ~FC045 and failure tags any

License Metric
            

1.0.0 passed this metric

No Binaries Metric
            

1.0.0 passed this metric

Publish Metric
            

1.0.0 passed this metric

Supported Platforms Metric
            

1.0.0 passed this metric

Testing File Metric
            

1.0.0 passed this metric

Version Tag Metric
            

1.0.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must include a tag that matches this cookbook version number